# Class HallInfo

java.lang.Object
org.jmol.symmetry.HallInfo

public final class HallInfo extends Object
Bob Hanson 9/2006 This class could be easily adapted for other use by implementing something like M4 (4x4 matrix), P3i (integer point), and SB (stringBuilder) references: International Tables for Crystallography Vol. A. (2002) http://www.iucr.org/iucr-top/cif/cifdic_html/1/cif_core.dic/Ispace_group_symop_operation_xyz.html http://www.iucr.org/iucr-top/cif/cifdic_html/1/cif_core.dic/Isymmetry_equiv_pos_as_xyz.html "Space-group notation with an explicit origin", S. R. Hall, Acta Cryst. (1981). A37, 517-525 https://doi.org/10.1107/S0567739481001228 LATT : http://macxray.chem.upenn.edu/LATT.pdf thank you, Patrick Carroll Hall symbols: http://cci.lbl.gov/sginfo/hall_symbols.html and http://cci.lbl.gov/cctbx/explore_symmetry.html (-)L [N_A^T_1] [N_A^T_2] ... [N_A^T_P] V(Nx Ny Nz) lattice types S and T are not supported here NEVER ACCESS THESE METHODS OUTSIDE OF THIS PACKAGE

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`HallInfo.HallReceiver`
An interface to receive the decoded matrices from Hall notation.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`nRotations`
`protected P3i`
`vector12ths`
`protected String`
`vectorCode`

## Method Summary

Modifier and Type
Method
Description
`void`
`generateAllOperators(HallInfo.HallReceiver sg)`
`String`
`getHallSymbol()`
`char`
`getLatticeCode()`
`static int`
`getLatticeIndex(char latticeCode)`
`static int`
`getLatticeIndexFromCode(int latticeParameter)`
`int`
`getRotationCount()`
`boolean`
`isCentrosymmetric()`
`boolean`
`isGenerated()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### nRotations

protected int nRotations

### vector12ths

protected P3i vector12ths

### vectorCode

protected String vectorCode

## Method Details

### getRotationCount

public int getRotationCount()

### isGenerated

public boolean isGenerated()

### getLatticeCode

public char getLatticeCode()

### isCentrosymmetric

public boolean isCentrosymmetric()

### getHallSymbol

public String getHallSymbol()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### generateAllOperators

public void generateAllOperators(HallInfo.HallReceiver sg)

### getLatticeIndex

public static int getLatticeIndex(char latticeCode)

### getLatticeIndexFromCode

public static int getLatticeIndexFromCode(int latticeParameter)